[Pkg-alsa-devel] [Debian ALSA CVS] debian/alsa-driver/debian/patches (1 file)

David B Harris dbharris-guest@quantz.debian.org
Mon, 01 Mar 2004 01:23:10 +0100


    Date: Monday, March 1, 2004 @ 01:23:10
  Author: dbharris-guest
    Path: /cvsroot/pkg-alsa/debian/alsa-driver/debian/patches

Modified: 10_disable_gcc_version_check2.dpatch

Oops, something was off with the last patch, fix it.


--------------------------------------+
 10_disable_gcc_version_check2.dpatch |  245 +++++++++++++++++++++++++--------
 1 files changed, 189 insertions(+), 56 deletions(-)


Index: debian/alsa-driver/debian/patches/10_disable_gcc_version_check2.dpatch
diff -u debian/alsa-driver/debian/patches/10_disable_gcc_version_check2.dpatch:1.4 debian/alsa-driver/debian/patches/10_disable_gcc_version_check2.dpatch:1.5
--- debian/alsa-driver/debian/patches/10_disable_gcc_version_check2.dpatch:1.4	Mon Mar  1 01:20:14 2004
+++ debian/alsa-driver/debian/patches/10_disable_gcc_version_check2.dpatch	Mon Mar  1 01:23:10 2004
@@ -25,9 +25,9 @@
 exit 0
 
 @DPATCH@
-diff -urNad /home/dbharris/source/debian/alsa-driver/configure alsa-driver/configure
---- /home/dbharris/source/debian/alsa-driver/configure	2004-02-29 19:18:14.000000000 -0500
-+++ alsa-driver/configure	2004-02-29 19:18:25.000000000 -0500
+diff -urNad /home/dbharris/source/debian/build/alsa-driver-1.0.3/configure alsa-driver-1.0.3/configure
+--- /home/dbharris/source/debian/build/alsa-driver-1.0.3/configure	2004-02-29 19:22:09.000000000 -0500
++++ alsa-driver-1.0.3/configure	2004-02-29 19:22:48.000000000 -0500
 @@ -1,6 +1,6 @@
  #! /bin/sh
  # Guess values for system-dependent variables and create Makefiles.
@@ -542,207 +542,7 @@
  fi
  fi
  
-@@ -3140,402 +3283,10 @@
- 
- 
- 
--echo "$as_me:$LINENO: checking for GCC version" >&5
--echo $ECHO_N "checking for GCC version... $ECHO_C" >&6
--ac_save_CFLAGS="$CFLAGS"
--CFLAGS="$CFLAGS $KERNEL_INC"
--if test "${kernel_gcc+set}" = set; then
--  echo $ECHO_N "(cached) $ECHO_C" >&6
--else
--  if test "$cross_compiling" = yes; then
--  kernel_compiler=""
--else
--  cat >conftest.$ac_ext <<_ACEOF
--/* confdefs.h.  */
--_ACEOF
--cat confdefs.h >>conftest.$ac_ext
--cat >>conftest.$ac_ext <<_ACEOF
--/* end confdefs.h.  */
--
--#include <stdio.h>
--#include <ctype.h>
--#include "$CONFIG_SND_KERNELDIR/include/linux/compile.h"
--int main()
--{
-- FILE *f;
-- char compiler[128];
-- char *ptr, *dptr;
--#ifdef LINUX_COMPILER
-- f=fopen("./conftestdata","w");
-- if (f) {
--   for (ptr = LINUX_COMPILER, dptr = compiler; *ptr != '\0' && *ptr != ' ' && *ptr != '\t'; ptr++, dptr++)
--     *dptr = *ptr;
--   if (*ptr != '\0' && (*ptr == ' ' || *ptr == '\t'))
--     ptr++;
--   if (!strncmp(ptr, "version", 7))
--	ptr += 7;
--   if (*ptr != '\0' && (*ptr == ' ' || *ptr == '\t'))
--     ptr++;
--   *dptr++ = ' ';
--   for (; *ptr != '\0' && *ptr != '\n'; ptr++, dptr++)
--     *dptr = *ptr;
--   *dptr = '\t';
--   *dptr = '\0';
--   fprintf(f,"%s\n",compiler);
--   fclose(f);
--   }
-- exit(0);
--#else
-- exit(1);
--#endif
--}
--_ACEOF
--rm -f conftest$ac_exeext
--if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
--  (eval $ac_link) 2>&5
--  ac_status=$?
--  echo "$as_me:$LINENO: \$? = $ac_status" >&5
--  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
--  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
--  (eval $ac_try) 2>&5
--  ac_status=$?
--  echo "$as_me:$LINENO: \$? = $ac_status" >&5
--  (exit $ac_status); }; }; then
--  kernel_compiler=`cat conftestdata`
--else
--  echo "$as_me: program exited with status $ac_status" >&5
--echo "$as_me: failed program was:" >&5
--sed 's/^/| /' conftest.$ac_ext >&5
--
--( exit $ac_status )
--kernel_compiler=""
--fi
--rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
--fi
--fi
--
--CFLAGS="$ac_save_CFLAGS"
--my_compiler=`$CROSS_COMPILE$CC --version | head -n 1`
--
--
--
--
--  typevar=kernel_compiler_type
--  versionvar=kernel_compiler_version
--  ac_compiler_type=""
--  ac_compiler_version=""
--  for i in $kernel_compiler; do
--    case $i in
--    gcc-[0-9]*|*-gcc-[0-9]*)
--      if test -z "$ac_compiler_type"; then
--        ac_compiler_type=gcc
--      fi
--      if test -z "$ac_compiler_version"; then
--        ac_compiler_version=`echo $i | sed -e 's/^.*gcc-\(0-9.\+\).*$/\1/'`
--      fi
--      ;;
--    *gcc*)
--      if test -z "$ac_compiler_type"; then
--        ac_compiler_type=gcc
--      fi
--      ;;
--    egcs-*)
--      ac_compiler_type=egcs
--      if test -z "$ac_compiler_version"; then
--        ac_compiler_version=`echo $i | sed -e 's/egcs-\(.\+\)$/\1/'`
--      fi
--      ;;
--    *cc*)
--      if test -z "$ac_compiler_type"; then
--        ac_compiler_type=cc
--      fi
--      ;;
--    [0-9].[0-9]*)
--      if test -z "$ac_compiler_version"; then
--        ac_compiler_version="$i"
--      fi
--      ;;
--    esac
--  done
--  eval $typevar="$ac_compiler_type"
--  eval $versionvar="$ac_compiler_version"
--
--
--  typevar=my_compiler_type
--  versionvar=my_compiler_version
--  ac_compiler_type=""
--  ac_compiler_version=""
--  for i in $my_compiler; do
--    case $i in
--    gcc-[0-9]*|*-gcc-[0-9]*)
--      if test -z "$ac_compiler_type"; then
--        ac_compiler_type=gcc
--      fi
--      if test -z "$ac_compiler_version"; then
--        ac_compiler_version=`echo $i | sed -e 's/^.*gcc-\(0-9.\+\).*$/\1/'`
--      fi
--      ;;
--    *gcc*)
--      if test -z "$ac_compiler_type"; then
--        ac_compiler_type=gcc
--      fi
--      ;;
--    egcs-*)
--      ac_compiler_type=egcs
--      if test -z "$ac_compiler_version"; then
--        ac_compiler_version=`echo $i | sed -e 's/egcs-\(.\+\)$/\1/'`
--      fi
--      ;;
--    *cc*)
--      if test -z "$ac_compiler_type"; then
--        ac_compiler_type=cc
--      fi
--      ;;
--    [0-9].[0-9]*)
--      if test -z "$ac_compiler_version"; then
--        ac_compiler_version="$i"
--      fi
--      ;;
--    esac
--  done
--  eval $typevar="$ac_compiler_type"
--  eval $versionvar="$ac_compiler_version"
--
--if test -z "$my_compiler_type"; then
--  my_compiler_type="gcc"
--fi
--echo "$as_me:$LINENO: result: Kernel compiler: $kernel_compiler Used compiler: $my_compiler" >&5
--echo "${ECHO_T}Kernel compiler: $kernel_compiler Used compiler: $my_compiler" >&6;
--if test -z "$kernel_compiler"; then
--  echo
--  echo "*** NO PREDEFINED KERNEL COMPILER IS DETECTED"
--  echo "*** Assuming the same compiler is used with the current system compiler."
--  echo
--  echo "*** Please make sure that the same compiler version was used for building kernel."
--  echo
--else
--if test "$my_compiler_type" != "$kernel_compiler_type"; then
--  echo "Fatal error: Compiler type does not match"
--  echo "Decoded kernel compiler: type=$kernel_compiler_type version=$kernel_compiler_version"
--  echo "Decoded used compiler: type=$my_compiler_type version=$my_compiler_version"
--  echo "Please, send ./configure output to <alsa-devel@alsa-project.org>"
--  exit 1
--fi
--if test "$my_compiler_type" = "gcc" ; then
--  kernel_major=`echo $kernel_compiler_version | cut -d '.' -f 1`
--  my_major=`echo $kernel_compiler_version | cut -d '.' -f 1`
--  if test $kernel_major -eq 2 -a $my_major -eq 3 ; then
--    echo "Fatal error: Kernel is compiled with GCC 2.x and you are trying to use GCC 3.x."
--    echo "             These two version of GCC are incompatible for binary code."
--    exit 1
--  fi
--  if test $kernel_major -eq 3 -a $my_major -eq 2 ; then
--    echo "Fatal error: Kernel is compiled with GCC 3.x and you are trying to use GCC 2.x."
--    echo "             These two version of GCC are incompatible for binary code."
--    exit 1
--  fi
--fi
--fi
- 
+@@ -3144,202 +3287,6 @@
  echo "$as_me:$LINENO: result: $kaversion" >&5
  echo "${ECHO_T}$kaversion" >&6
  
@@ -945,7 +745,7 @@
  
  
  
-@@ -3603,7 +3354,7 @@
+@@ -3407,7 +3354,7 @@
  echo "$as_me:$LINENO: result: \"no\"" >&5
  echo "${ECHO_T}\"no\"" >&6;boolchk=""
  fi
@@ -954,7 +754,7 @@
  fi
    CFLAGS="$ac_save_CFLAGS"
    eval $boolvar="$boolchk"
-@@ -3665,7 +3416,7 @@
+@@ -3469,7 +3416,7 @@
  echo "$as_me:$LINENO: result: \"no\"" >&5
  echo "${ECHO_T}\"no\"" >&6;boolchk=""
  fi
@@ -963,7 +763,7 @@
  fi
    CFLAGS="$ac_save_CFLAGS"
    eval $boolvar="$boolchk"
-@@ -3750,7 +3501,7 @@
+@@ -3554,7 +3501,7 @@
  echo "$as_me:$LINENO: result: \"no\"" >&5
  echo "${ECHO_T}\"no\"" >&6;boolchk=""
  fi
@@ -972,7 +772,7 @@
  fi
    CFLAGS="$ac_save_CFLAGS"
    eval $boolvar="$boolchk"
-@@ -4353,7 +4104,7 @@
+@@ -4157,7 +4104,7 @@
  echo "$as_me:$LINENO: result: \"no\"" >&5
  echo "${ECHO_T}\"no\"" >&6;boolchk=""
  fi
@@ -981,7 +781,7 @@
  fi
    CFLAGS="$ac_save_CFLAGS"
    eval $boolvar="$boolchk"
-@@ -4414,7 +4165,7 @@
+@@ -4218,7 +4165,7 @@
  echo "$as_me:$LINENO: result: \"no\"" >&5
  echo "${ECHO_T}\"no\"" >&6;boolchk=""
  fi
@@ -990,7 +790,7 @@
  fi
    CFLAGS="$ac_save_CFLAGS"
    eval $boolvar="$boolchk"
-@@ -4618,7 +4369,7 @@
+@@ -4422,7 +4369,7 @@
  echo "$as_me:$LINENO: result: \"no\"" >&5
  echo "${ECHO_T}\"no\"" >&6;boolchk=""
  fi
@@ -999,7 +799,7 @@
  fi
    CFLAGS="$ac_save_CFLAGS"
    eval $boolvar="$boolchk"
-@@ -4752,7 +4503,7 @@
+@@ -4556,7 +4503,7 @@
  echo "$as_me:$LINENO: result: \"unknown\"" >&5
  echo "${ECHO_T}\"unknown\"" >&6;processor=""
  fi
@@ -1008,7 +808,7 @@
  fi
  CFLAGS="$ac_save_CFLAGS"
  rm -f processor.id
-@@ -5024,7 +4775,7 @@
+@@ -4828,7 +4775,7 @@
  sed 's/^/| /' conftest.$ac_ext >&5
  
  fi
@@ -1017,7 +817,7 @@
  fi
  	CFLAGS="$ac_save_CFLAGS"
  	rm -f machine.id
-@@ -5107,7 +4858,7 @@
+@@ -4911,7 +4858,7 @@
  echo "$as_me:$LINENO: result: \"no\"" >&5
  echo "${ECHO_T}\"no\"" >&6;boolchk=""
  fi
@@ -1026,7 +826,7 @@
  fi
    CFLAGS="$ac_save_CFLAGS"
    eval $boolvar="$boolchk"
-@@ -5173,7 +4924,7 @@
+@@ -4977,7 +4924,7 @@
  echo "$as_me:$LINENO: result: \"no\"" >&5
  echo "${ECHO_T}\"no\"" >&6;boolchk=""
  fi
@@ -1035,7 +835,7 @@
  fi
    CFLAGS="$ac_save_CFLAGS"
    eval $boolvar="$boolchk"
-@@ -5267,7 +5018,7 @@
+@@ -5071,7 +5018,7 @@
  echo "$as_me:$LINENO: result: \"no\"" >&5
  echo "${ECHO_T}\"no\"" >&6;boolchk=""
  fi
@@ -1044,7 +844,7 @@
  fi
    CFLAGS="$ac_save_CFLAGS"
    eval $boolvar="$boolchk"
-@@ -5325,7 +5076,7 @@
+@@ -5129,7 +5076,7 @@
  echo "$as_me:$LINENO: result: \"no\"" >&5
  echo "${ECHO_T}\"no\"" >&6;boolchk=""
  fi
@@ -1053,7 +853,7 @@
  fi
    CFLAGS="$ac_save_CFLAGS"
    eval $boolvar="$boolchk"
-@@ -5413,10 +5164,19 @@
+@@ -5217,10 +5164,19 @@
  _ACEOF
  rm -f conftest.$ac_objext
  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
@@ -1074,7 +874,7 @@
  	 { ac_try='test -s conftest.$ac_objext'
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
-@@ -5432,7 +5192,7 @@
+@@ -5236,7 +5192,7 @@
  echo "$as_me:$LINENO: result: \"no\"" >&5
  echo "${ECHO_T}\"no\"" >&6;strlcpy="0"
  fi
@@ -1083,7 +883,7 @@
  CFLAGS=$ac_save_CFLAGS
  CONFIG_HAVE_STRLCPY=$strlcpy
  if test "$CONFIG_HAVE_STRLCPY" = "1"; then
-@@ -5471,10 +5231,19 @@
+@@ -5275,10 +5231,19 @@
  _ACEOF
  rm -f conftest.$ac_objext
  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
@@ -1104,7 +904,7 @@
  	 { ac_try='test -s conftest.$ac_objext'
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
-@@ -5490,7 +5259,7 @@
+@@ -5294,7 +5259,7 @@
  echo "$as_me:$LINENO: result: \"no\"" >&5
  echo "${ECHO_T}\"no\"" >&6;snprintf="0"
  fi
@@ -1113,7 +913,7 @@
  CFLAGS=$ac_save_CFLAGS
  CONFIG_HAVE_SNPRINTF=$snprintf
  if test "$CONFIG_HAVE_SNPRINTF" = "1"; then
-@@ -5529,10 +5298,19 @@
+@@ -5333,10 +5298,19 @@
  _ACEOF
  rm -f conftest.$ac_objext
  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
@@ -1134,7 +934,7 @@
  	 { ac_try='test -s conftest.$ac_objext'
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
-@@ -5548,7 +5326,7 @@
+@@ -5352,7 +5326,7 @@
  echo "$as_me:$LINENO: result: \"no\"" >&5
  echo "${ECHO_T}\"no\"" >&6;scnprintf="0"
  fi
@@ -1143,7 +943,7 @@
  CFLAGS=$ac_save_CFLAGS
  CONFIG_HAVE_SCNPRINTF=$scnprintf
  if test "$CONFIG_HAVE_SCNPRINTF" = "1"; then
-@@ -5588,10 +5366,19 @@
+@@ -5392,10 +5366,19 @@
  _ACEOF
  rm -f conftest.$ac_objext
  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
@@ -1164,7 +964,7 @@
  	 { ac_try='test -s conftest.$ac_objext'
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
-@@ -5607,7 +5394,7 @@
+@@ -5411,7 +5394,7 @@
  echo "$as_me:$LINENO: result: \"no\"" >&5
  echo "${ECHO_T}\"no\"" >&6;vmalloc_to_page="0"
  fi
@@ -1173,7 +973,7 @@
  CFLAGS=$ac_save_CFLAGS
  CONFIG_HAVE_VMALLOC_TO_PAGE=$vmalloc_to_page
  if test "$CONFIG_HAVE_VMALLOC_TO_PAGE" = "1"; then
-@@ -5645,10 +5432,19 @@
+@@ -5449,10 +5432,19 @@
  _ACEOF
  rm -f conftest.$ac_objext
  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
@@ -1194,7 +994,7 @@
  	 { ac_try='test -s conftest.$ac_objext'
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
-@@ -5664,7 +5460,7 @@
+@@ -5468,7 +5460,7 @@
  echo "$as_me:$LINENO: result: \"yes\"" >&5
  echo "${ECHO_T}\"yes\"" >&6;old_kmod="1"
  fi
@@ -1203,7 +1003,7 @@
  CFLAGS=$ac_save_CFLAGS
  CONFIG_HAVE_OLD_REQUEST_MODULE=$old_kmod
  if test "$CONFIG_HAVE_OLD_REQUEST_MODULE" = "1"; then
-@@ -5704,10 +5500,19 @@
+@@ -5508,10 +5500,19 @@
  _ACEOF
  rm -f conftest.$ac_objext
  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
@@ -1224,7 +1024,7 @@
  	 { ac_try='test -s conftest.$ac_objext'
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
-@@ -5723,7 +5528,7 @@
+@@ -5527,7 +5528,7 @@
  echo "$as_me:$LINENO: result: \"no\"" >&5
  echo "${ECHO_T}\"no\"" >&6;pde_defined="0"
  fi
@@ -1233,7 +1033,7 @@
  CFLAGS=$ac_save_CFLAGS
  CONFIG_HAVE_PDE=$pde_defined
  if test "$CONFIG_HAVE_PDE" = "1"; then
-@@ -5762,10 +5567,19 @@
+@@ -5566,10 +5567,19 @@
  _ACEOF
  rm -f conftest.$ac_objext
  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
@@ -1254,7 +1054,7 @@
  	 { ac_try='test -s conftest.$ac_objext'
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
-@@ -5781,7 +5595,7 @@
+@@ -5585,7 +5595,7 @@
  echo "$as_me:$LINENO: result: \"no\"" >&5
  echo "${ECHO_T}\"no\"" >&6;pci_consistent_defined="0"
  fi
@@ -1263,7 +1063,7 @@
  CFLAGS=$ac_save_CFLAGS
  CONFIG_HAVE_PCI_CONSISTENT_DMA_MASK=$pci_consistent_defined
  if test "$CONFIG_HAVE_PCI_CONSISTENT_DMA_MASK" = "1"; then
-@@ -5820,10 +5634,19 @@
+@@ -5624,10 +5634,19 @@
  _ACEOF
  rm -f conftest.$ac_objext
  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
@@ -1284,7 +1084,7 @@
  	 { ac_try='test -s conftest.$ac_objext'
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
-@@ -5839,7 +5662,7 @@
+@@ -5643,7 +5662,7 @@
  echo "$as_me:$LINENO: result: \"no\"" >&5
  echo "${ECHO_T}\"no\"" >&6;tty_count_atomic="0"
  fi
@@ -1293,7 +1093,7 @@
  CFLAGS=$ac_save_CFLAGS
  CONFIG_HAVE_TTY_COUNT_ATOMIC=$tty_count_atomic
  if test "$CONFIG_HAVE_TTY_COUNT_ATOMIC" = "1"; then
-@@ -5879,10 +5702,19 @@
+@@ -5683,10 +5702,19 @@
  _ACEOF
  rm -f conftest.$ac_objext
  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
@@ -1314,7 +1114,7 @@
  	 { ac_try='test -s conftest.$ac_objext'
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
-@@ -5898,7 +5730,7 @@
+@@ -5702,7 +5730,7 @@
  echo "$as_me:$LINENO: result: \"no\"" >&5
  echo "${ECHO_T}\"no\"" >&6;video_get_drvdata="0"
  fi
@@ -1323,7 +1123,7 @@
  CFLAGS=$ac_save_CFLAGS
  CONFIG_HAVE_VIDEO_GET_DRVDATA=$video_get_drvdata
  if test "$CONFIG_HAVE_VIDEO_GET_DRVDATA" = "1"; then
-@@ -5944,10 +5776,19 @@
+@@ -5748,10 +5776,19 @@
  _ACEOF
  rm -f conftest.$ac_objext
  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
@@ -1344,7 +1144,7 @@
  	 { ac_try='test -s conftest.$ac_objext'
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
-@@ -5963,7 +5804,7 @@
+@@ -5767,7 +5804,7 @@
  echo "$as_me:$LINENO: result: \"no\"" >&5
  echo "${ECHO_T}\"no\"" >&6;oldkfasync="0"
  fi
@@ -1353,7 +1153,7 @@
  CFLAGS=$ac_save_CFLAGS
  CONFIG_OLD_KILL_FASYNC=$oldkfasync
  if test "$CONFIG_OLD_KILL_FASYNC" = "1"; then
-@@ -6001,10 +5842,19 @@
+@@ -5805,10 +5842,19 @@
  _ACEOF
  rm -f conftest.$ac_objext
  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
@@ -1374,7 +1174,7 @@
  	 { ac_try='test -s conftest.$ac_objext'
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
-@@ -6020,7 +5870,7 @@
+@@ -5824,7 +5870,7 @@
  echo "$as_me:$LINENO: result: \"no\"" >&5
  echo "${ECHO_T}\"no\"" >&6;dma_addr_t="0"
  fi
@@ -1383,7 +1183,7 @@
  CFLAGS=$ac_save_CFLAGS
  CONFIG_HAVE_DMA_ADDR_T=$dma_addr_t
  if test "$CONFIG_HAVE_DMA_ADDR_T" = "1"; then
-@@ -6061,10 +5911,19 @@
+@@ -5865,10 +5911,19 @@
  _ACEOF
  rm -f conftest.$ac_objext
  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
@@ -1404,7 +1204,7 @@
  	 { ac_try='test -s conftest.$ac_objext'
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
-@@ -6080,7 +5939,7 @@
+@@ -5884,7 +5939,7 @@
  echo "$as_me:$LINENO: result: \"no\"" >&5
  echo "${ECHO_T}\"no\"" >&6;have_mutex_macros="0"
  fi
@@ -1413,7 +1213,7 @@
  CFLAGS=$ac_save_CFLAGS
  CONFIG_HAVE_MUTEX_MACROS=$have_mutex_macros
  if test "$CONFIG_HAVE_MUTEX_MACROS" = "1"; then
-@@ -6265,7 +6124,7 @@
+@@ -6069,7 +6124,7 @@
  echo "$as_me:$LINENO: result: \"no\"" >&5
  echo "${ECHO_T}\"no\"" >&6;rtcsup=""
  fi
@@ -1422,7 +1222,7 @@
  fi
  CFLAGS="$ac_save_CFLAGS"
  CONFIG_SND_RTCTIMER=$rtcsup
-@@ -6329,7 +6188,7 @@
+@@ -6133,7 +6188,7 @@
  echo "$as_me:$LINENO: result: \"no\"" >&5
  echo "${ECHO_T}\"no\"" >&6;boolchk=""
  fi
@@ -1431,7 +1231,7 @@
  fi
    CFLAGS="$ac_save_CFLAGS"
    eval $boolvar="$boolchk"
-@@ -6387,7 +6246,7 @@
+@@ -6191,7 +6246,7 @@
  echo "$as_me:$LINENO: result: \"no\"" >&5
  echo "${ECHO_T}\"no\"" >&6;boolchk=""
  fi
@@ -1440,7 +1240,7 @@
  fi
    CFLAGS="$ac_save_CFLAGS"
    eval $boolvar="$boolchk"
-@@ -6467,7 +6326,7 @@
+@@ -6271,7 +6326,7 @@
  echo "$as_me:$LINENO: result: \"no\"" >&5
  echo "${ECHO_T}\"no\"" >&6;boolchk=""
  fi
@@ -1449,7 +1249,7 @@
  fi
    CFLAGS="$ac_save_CFLAGS"
    eval $boolvar="$boolchk"
-@@ -6525,7 +6384,7 @@
+@@ -6329,7 +6384,7 @@
  echo "$as_me:$LINENO: result: \"no\"" >&5
  echo "${ECHO_T}\"no\"" >&6;boolchk=""
  fi
@@ -1458,7 +1258,7 @@
  fi
    CFLAGS="$ac_save_CFLAGS"
    eval $boolvar="$boolchk"
-@@ -6603,7 +6462,7 @@
+@@ -6407,7 +6462,7 @@
  echo "$as_me:$LINENO: result: \"no\"" >&5
  echo "${ECHO_T}\"no\"" >&6;boolchk=""
  fi
@@ -1467,7 +1267,7 @@
  fi
    CFLAGS="$ac_save_CFLAGS"
    eval $boolvar="$boolchk"
-@@ -8033,9 +7892,10 @@
+@@ -7837,9 +7892,10 @@
  elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
    set -o posix
  fi
@@ -1479,7 +1279,7 @@
    as_unset=unset
  else
    as_unset=false
-@@ -8233,16 +8093,17 @@
+@@ -8037,16 +8093,17 @@
  if mkdir -p . 2>/dev/null; then
    as_mkdir_p=:
  else
@@ -1499,7 +1299,7 @@
  
  
  # IFS
-@@ -8269,7 +8130,7 @@
+@@ -8073,7 +8130,7 @@
  cat >&5 <<_CSEOF
  
  This file was extended by $as_me, which was
@@ -1508,7 +1308,7 @@
  
    CONFIG_FILES    = $CONFIG_FILES
    CONFIG_HEADERS  = $CONFIG_HEADERS
-@@ -8329,7 +8190,7 @@
+@@ -8133,7 +8190,7 @@
  cat >>$CONFIG_STATUS <<_ACEOF
  ac_cs_version="\\
  config.status
@@ -1517,7 +1317,7 @@
    with options \\"`echo "$ac_configure_args" | sed 's/[\\""\`\$]/\\\\&/g'`\\"
  
  Copyright (C) 2003 Free Software Foundation, Inc.
-@@ -8789,12 +8650,45 @@
+@@ -8593,12 +8650,45 @@
      ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
      ac_top_srcdir=$ac_top_builddir$srcdir ;;
  esac
@@ -1569,7 +1369,7 @@
  
  
    case $INSTALL in
-@@ -8802,11 +8696,6 @@
+@@ -8606,11 +8696,6 @@
    *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
    esac
  
@@ -1581,7 +1381,7 @@
    # Let's still pretend it is `configure' which instantiates (i.e., don't
    # use $as_me), people would be surprised to read:
    #    /* config.h.  Generated by config.status.  */
-@@ -8845,6 +8734,12 @@
+@@ -8649,6 +8734,12 @@
  	 fi;;
        esac
      done` || { (exit 1); exit 1; }
@@ -1594,3 +1394,262 @@
  _ACEOF
  cat >>$CONFIG_STATUS <<_ACEOF
    sed "$ac_vpsub
+diff -urNad /home/dbharris/source/debian/build/alsa-driver-1.0.3/configure.in alsa-driver-1.0.3/configure.in
+--- /home/dbharris/source/debian/build/alsa-driver-1.0.3/configure.in	2004-02-29 19:22:17.000000000 -0500
++++ alsa-driver-1.0.3/configure.in	2004-02-29 19:22:44.000000000 -0500
+@@ -152,48 +152,48 @@
+ AC_SUBST(kextraversion)
+ AC_MSG_RESULT($kaversion)
+ 
+-dnl Check for GCC version...
+-AC_MSG_CHECKING(for GCC version)
+-ac_save_CFLAGS="$CFLAGS"
+-CFLAGS="$CFLAGS $KERNEL_INC $HACK_KERNEL_INC"
+-AC_CACHE_VAL(kernel_gcc,
+-[AC_TRY_RUN([
+-#include <stdio.h>
+-#include <ctype.h>
+-#include "$CONFIG_SND_KERNELDIR/include/linux/compile.h"
+-int main()
+-{
+- FILE *f;
+- char compiler[128];
+- char *ptr, *dptr;
+-#ifdef LINUX_COMPILER
+- f=fopen("./conftestdata","w");
+- if (f) {
+-   for (ptr = LINUX_COMPILER, dptr = compiler; *ptr != '\0' && *ptr != ' ' && *ptr != '\t'; ptr++, dptr++)
+-     *dptr = *ptr;
+-   if (*ptr != '\0' && (*ptr == ' ' || *ptr == '\t'))
+-     ptr++;
+-   if (!strncmp(ptr, "version", 7))
+-	ptr += 7;
+-   if (*ptr != '\0' && (*ptr == ' ' || *ptr == '\t'))
+-     ptr++;
+-   *dptr++ = ' ';
+-   for (; *ptr != '\0' && *ptr != '\n'; ptr++, dptr++)
+-     *dptr = *ptr;
+-   *dptr = '\t';
+-   *dptr = '\0';
+-   fprintf(f,"%s\n",compiler);
+-   fclose(f);
+-   }
+- exit(0);
+-#else
+- exit(1);
+-#endif
+-}],kernel_compiler=`cat conftestdata`,
+-kernel_compiler="",
+-kernel_compiler="")])
+-CFLAGS="$ac_save_CFLAGS"
+-my_compiler=`$CROSS_COMPILE$CC --version | head -n 1`
++dnl dnl Check for GCC version...
++dnl AC_MSG_CHECKING(for GCC version)
++dnl ac_save_CFLAGS="$CFLAGS"
++dnl CFLAGS="$CFLAGS $KERNEL_INC $HACK_KERNEL_INC"
++dnl AC_CACHE_VAL(kernel_gcc,
++dnl [AC_TRY_RUN([
++dnl #include <stdio.h>
++dnl #include <ctype.h>
++dnl #include "$CONFIG_SND_KERNELDIR/include/linux/compile.h"
++dnl int main()
++dnl {
++dnl  FILE *f;
++dnl  char compiler[128];
++dnl  char *ptr, *dptr;
++dnl #ifdef LINUX_COMPILER
++dnl  f=fopen("./conftestdata","w");
++dnl  if (f) {
++dnl    for (ptr = LINUX_COMPILER, dptr = compiler; *ptr != '\0' && *ptr != ' ' && *ptr != '\t'; ptr++, dptr++)
++dnl      *dptr = *ptr;
++dnl    if (*ptr != '\0' && (*ptr == ' ' || *ptr == '\t'))
++dnl      ptr++;
++dnl    if (!strncmp(ptr, "version", 7))
++dnl 	ptr += 7;
++dnl    if (*ptr != '\0' && (*ptr == ' ' || *ptr == '\t'))
++dnl      ptr++;
++dnl    *dptr++ = ' ';
++dnl    for (; *ptr != '\0' && *ptr != '\n'; ptr++, dptr++)
++dnl      *dptr = *ptr;
++dnl    *dptr = '\t';
++dnl    *dptr = '\0';
++dnl    fprintf(f,"%s\n",compiler);
++dnl    fclose(f);
++dnl    }
++dnl  exit(0);
++dnl #else
++dnl  exit(1);
++dnl #endif
++dnl }],kernel_compiler=`cat conftestdata`,
++dnl kernel_compiler="",
++dnl kernel_compiler="")])
++dnl CFLAGS="$ac_save_CFLAGS"
++dnl my_compiler=`$CROSS_COMPILE$CC --version | head -n 1`
+ dnl
+ dnl Test section, uncomment any of these double lines to verify the bellow code:
+ dnl
+@@ -212,85 +212,85 @@
+ dnl kernel_compiler="gcc 2.95.3 20010315 (release)"
+ dnl my_compiler="2.95.3"
+ dnl
+-
+-AC_DEFUN([CHECK_COMPILER], [
+-  typevar=$2
+-  versionvar=$3
+-  ac_compiler_type=""
+-  ac_compiler_version=""
+-  for i in $1; do
+-    case $i in
+-    gcc-[[0-9]]*|*-gcc-[[0-9]]*)
+-      if test -z "$ac_compiler_type"; then
+-        ac_compiler_type=gcc
+-      fi
+-      if test -z "$ac_compiler_version"; then
+-        ac_compiler_version=`echo $i | sed -e 's/^.*gcc-\([0-9.]\+\).*$/\1/'`
+-      fi
+-      ;;
+-    *gcc*)
+-      if test -z "$ac_compiler_type"; then
+-        ac_compiler_type=gcc
+-      fi
+-      ;;
+-    egcs-*)
+-      ac_compiler_type=egcs
+-      if test -z "$ac_compiler_version"; then
+-        ac_compiler_version=`echo $i | sed -e 's/egcs-\(.\+\)$/\1/'`
+-      fi
+-      ;;
+-    *cc*)
+-      if test -z "$ac_compiler_type"; then
+-        ac_compiler_type=cc
+-      fi
+-      ;;
+-    [[0-9]].[[0-9]]*)
+-      if test -z "$ac_compiler_version"; then
+-        ac_compiler_version="$i"
+-      fi
+-      ;;
+-    esac
+-  done
+-  eval $typevar="$ac_compiler_type"
+-  eval $versionvar="$ac_compiler_version"
+-])
+-
+-CHECK_COMPILER($kernel_compiler, kernel_compiler_type, kernel_compiler_version)
+-CHECK_COMPILER($my_compiler, my_compiler_type, my_compiler_version)
+-if test -z "$my_compiler_type"; then
+-  my_compiler_type="gcc"
+-fi
+-AC_MSG_RESULT(Kernel compiler: $kernel_compiler Used compiler: $my_compiler);
+-if test -z "$kernel_compiler"; then
+-  echo
+-  echo "*** NO PREDEFINED KERNEL COMPILER IS DETECTED"
+-  echo "*** Assuming the same compiler is used with the current system compiler."
+-  echo
+-  echo "*** Please make sure that the same compiler version was used for building kernel."
+-  echo
+-else
+-if test "$my_compiler_type" != "$kernel_compiler_type"; then
+-  echo "Fatal error: Compiler type does not match"
+-  echo "Decoded kernel compiler: type=$kernel_compiler_type version=$kernel_compiler_version"
+-  echo "Decoded used compiler: type=$my_compiler_type version=$my_compiler_version"
+-  echo "Please, send ./configure output to <alsa-devel@alsa-project.org>"
+-  exit 1
+-fi
+-if test "$my_compiler_type" = "gcc" ; then
+-  kernel_major=`echo $kernel_compiler_version | cut -d '.' -f 1`
+-  my_major=`echo $kernel_compiler_version | cut -d '.' -f 1`
+-  if test $kernel_major -eq 2 -a $my_major -eq 3 ; then
+-    echo "Fatal error: Kernel is compiled with GCC 2.x and you are trying to use GCC 3.x."
+-    echo "             These two version of GCC are incompatible for binary code."
+-    exit 1
+-  fi
+-  if test $kernel_major -eq 3 -a $my_major -eq 2 ; then
+-    echo "Fatal error: Kernel is compiled with GCC 3.x and you are trying to use GCC 2.x."
+-    echo "             These two version of GCC are incompatible for binary code."
+-    exit 1
+-  fi
+-fi
+-fi
++dnl 
++dnl AC_DEFUN([CHECK_COMPILER], [
++dnl   typevar=$2
++dnl   versionvar=$3
++dnl   ac_compiler_type=""
++dnl   ac_compiler_version=""
++dnl   for i in $1; do
++dnl     case $i in
++dnl     gcc-[[0-9]]*|*-gcc-[[0-9]]*)
++dnl       if test -z "$ac_compiler_type"; then
++dnl         ac_compiler_type=gcc
++dnl       fi
++dnl       if test -z "$ac_compiler_version"; then
++dnl         ac_compiler_version=`echo $i | sed -e 's/^.*gcc-\([0-9.]\+\).*$/\1/'`
++dnl       fi
++dnl       ;;
++dnl     *gcc*)
++dnl       if test -z "$ac_compiler_type"; then
++dnl         ac_compiler_type=gcc
++dnl       fi
++dnl       ;;
++dnl     egcs-*)
++dnl       ac_compiler_type=egcs
++dnl       if test -z "$ac_compiler_version"; then
++dnl         ac_compiler_version=`echo $i | sed -e 's/egcs-\(.\+\)$/\1/'`
++dnl       fi
++dnl       ;;
++dnl     *cc*)
++dnl       if test -z "$ac_compiler_type"; then
++dnl         ac_compiler_type=cc
++dnl       fi
++dnl       ;;
++dnl     [[0-9]].[[0-9]]*)
++dnl       if test -z "$ac_compiler_version"; then
++dnl         ac_compiler_version="$i"
++dnl       fi
++dnl       ;;
++dnl     esac
++dnl   done
++dnl   eval $typevar="$ac_compiler_type"
++dnl   eval $versionvar="$ac_compiler_version"
++dnl ])
++dnl 
++dnl CHECK_COMPILER($kernel_compiler, kernel_compiler_type, kernel_compiler_version)
++dnl CHECK_COMPILER($my_compiler, my_compiler_type, my_compiler_version)
++dnl if test -z "$my_compiler_type"; then
++dnl   my_compiler_type="gcc"
++dnl fi
++dnl AC_MSG_RESULT(Kernel compiler: $kernel_compiler Used compiler: $my_compiler);
++dnl if test -z "$kernel_compiler"; then
++dnl   echo
++dnl   echo "*** NO PREDEFINED KERNEL COMPILER IS DETECTED"
++dnl   echo "*** Assuming the same compiler is used with the current system compiler."
++dnl   echo
++dnl   echo "*** Please make sure that the same compiler version was used for building kernel."
++dnl   echo
++dnl else
++dnl if test "$my_compiler_type" != "$kernel_compiler_type"; then
++dnl   echo "Fatal error: Compiler type does not match"
++dnl   echo "Decoded kernel compiler: type=$kernel_compiler_type version=$kernel_compiler_version"
++dnl   echo "Decoded used compiler: type=$my_compiler_type version=$my_compiler_version"
++dnl   echo "Please, send ./configure output to <alsa-devel@alsa-project.org>"
++dnl   exit 1
++dnl fi
++dnl if test "$my_compiler_type" = "gcc" ; then
++dnl   kernel_major=`echo $kernel_compiler_version | cut -d '.' -f 1`
++dnl   my_major=`echo $kernel_compiler_version | cut -d '.' -f 1`
++dnl   if test $kernel_major -eq 2 -a $my_major -eq 3 ; then
++dnl     echo "Fatal error: Kernel is compiled with GCC 2.x and you are trying to use GCC 3.x."
++dnl     echo "             These two version of GCC are incompatible for binary code."
++dnl     exit 1
++dnl   fi
++dnl   if test $kernel_major -eq 3 -a $my_major -eq 2 ; then
++dnl     echo "Fatal error: Kernel is compiled with GCC 3.x and you are trying to use GCC 2.x."
++dnl     echo "             These two version of GCC are incompatible for binary code."
++dnl     exit 1
++dnl   fi
++dnl fi
++dnl fi
+ dnl compiler version check
+ 
+ AC_DEFUN([CHECK_KERNEL_HEADER], [